Skip to main content
POST
Restore Command Version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

command_id
string<uuid>
required

Command ID

version_id
string<uuid>
required

Command version snapshot ID

Query Parameters

organization_id
string
required

Response

Successful Response

Response model for command.

name
string
required

Command name (alphanumeric + hyphens/underscores)

content
string
required

Command content as markdown text

organization_id
string<uuid>
required

Organization ID

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null

Single sentence description of the command

created_by_user_id
string<uuid> | null
usage_count
integer
default:0
current_version
integer
default:1
generation_status
enum<string>
default:ready

Status of LLM-based command generation.

Available options:
ready,
generating,
failed
generation_error
string | null